import { LOGIN, SET_USER, SET_IMPERSONATE, LOGGING_IN, SET_ORIGINAL_TOKENS, SET_TOKENS, CLEAR_ORIGINAL_TOKENS, CLEAR_TOKENS, CLEAR_USER } from '../constants';
import { IUser, ITokens } from '@identity-stack/core';
export declare type Actions = {
    '@@identity/LOGIN': {
        type: typeof LOGIN;
        payload: {
            user: IUser;
        };
    };
    '@@identity/LOGGING_IN': {
        type: typeof LOGGING_IN;
        payload: {
            isLoggingIn: boolean;
        };
    };
    '@@identity/SET_USER': {
        type: typeof SET_USER;
        payload: {
            user: IUser;
        };
    };
    '@@identity/SET_TOKENS': {
        type: typeof SET_TOKENS;
        payload: {
            tokens: ITokens;
        };
    };
    '@@identity/CLEAR_TOKENS': {
        type: typeof CLEAR_TOKENS;
    };
    '@@identity/CLEAR_USER': {
        type: typeof CLEAR_USER;
    };
    '@@identity/SET_ORIGINAL_TOKENS': {
        type: typeof SET_ORIGINAL_TOKENS;
        payload: {
            tokens: ITokens;
        };
    };
    '@@identity/CLEAR_ORIGINAL_TOKENS': {
        type: typeof CLEAR_ORIGINAL_TOKENS;
    };
    '@@identity/SET_IMPERSONATED': {
        type: typeof SET_IMPERSONATE;
        payload: {
            isImpersonated: boolean;
        };
    };
};
export declare const actionCreators: {
    loggingIn: (isLoggingIn: any) => {
        type: "@@identity/LOGGING_IN";
        payload: {
            isLoggingIn: boolean;
        };
    };
    setUser: (user: any) => {
        type: string;
        payload: {
            user: any;
        };
    };
    setTokens: (tokens: any) => {
        type: string;
        payload: {
            tokens: any;
        };
    };
    clearTokens: () => {
        type: string;
    };
    clearUser: () => {
        type: string;
    };
    setOriginalTokens: (tokens: any) => {
        type: string;
        payload: {
            tokens: any;
        };
    };
    clearOriginalTokens: () => {
        type: string;
    };
    setImpersonated: (isImpersonated: any) => {
        type: string;
        payload: {
            isImpersonated: any;
        };
    };
};
