import { IAccountsClient } from './accounts-client';
import { IAccountsClientConfiguration, ITransportInterface } from '../interfaces';
import { IUser, ICreateUser, ITokens, ILoginUserIdentity, ILoginReturn } from '@identity-stack/core';
export interface IAccounts {
    instance: IAccountsClient;
    ui: any;
    config(options: IAccountsClientConfiguration, transport: ITransportInterface): Promise<IAccountsClient>;
    user(): IUser | null;
    options(): IAccountsClientConfiguration;
    createUser(user: ICreateUser, callback?: (err?: Error) => void): Promise<void>;
    loginWithPassword(user: ILoginUserIdentity, password: string, callback?: (err?: Error, res?: ILoginReturn) => void): Promise<void>;
    loggingIn(): boolean;
    logout(callback: (err?: Error) => void): Promise<void>;
    tokens(): ITokens;
    resumeSession(): Promise<void>;
    refreshSession(): Promise<void>;
    verifyEmail(token: string): Promise<void>;
    resetPassword(token: string, newPassword: string): Promise<void>;
    requestPasswordReset(email?: string): Promise<void>;
    requestVerificationEmail(email?: string): Promise<void>;
    impersonate(username: string): Promise<any>;
    stopImpersonation(): Promise<void>;
    isImpersonated(): boolean;
    originalTokens(): ITokens;
}
