import { IAccountsCommonConfiguration, HookListener } from '@identity-stack/core';
import { Store, Middleware } from 'redux';
import { ITokenStorage } from './token-storage';
export interface IAccountsClientConfiguration extends IAccountsCommonConfiguration {
    store?: Store<object>;
    reduxLogger?: Middleware;
    reduxStoreKey?: string;
    tokenStorage?: ITokenStorage;
    server?: string;
    tokenStoragePrefix?: string;
    title?: string;
    requestPermissions?: any[];
    requestOfflineToken?: object;
    forceApprovalPrompt?: object;
    requireEmailVerification?: boolean;
    loginPath?: string;
    signUpPath?: string;
    resetPasswordPath?: string;
    profilePath?: string;
    changePasswordPath?: string;
    homePath?: string;
    signOutPath?: string;
    onEntrollAccuntHook?: HookListener;
    onResetPasswordHook?: HookListener;
    onVerifyEmailHook?: HookListener;
    onSignedInHook?: HookListener;
    onSignedOutHook?: HookListener;
    onResumedSessionHook?: HookListener;
    onUserCreated?: (user: object) => Promise<any>;
    loginOnSignUp?: boolean;
    history?: string[];
    persistImpersonation?: boolean;
}
