import { ICreateUser, ILoginUserIdentity, IUser, ITokens } from '@identity-stack/core';
export interface Identity {
    createUser(user: ICreateUser): Promise<void>;
    loginWithPassword(loginRequest: ILoginUserIdentity): Promise<void>;
    resetPassword(token: string, newPassword: string): Promise<void>;
    sendResetPasswordEmail(email: string): Promise<void>;
    sendVerificationEmail(email: string): Promise<void>;
}
export declare type IdentityState = {
    readonly isLoading: boolean;
    readonly user: IUser;
    readonly tokens: ITokens;
    readonly loggingIn: boolean;
    readonly originalTokens: ITokens;
    readonly isImpersonated: boolean;
};
