import { ICreateUser, ILoginUserIdentity, IPassword, ILoginReturn, IImpersonateReturn } from '@identity-stack/core';
export interface ITransportInterface {
    createUser(user: ICreateUser): Promise<string>;
    loginWithPassword(user: ILoginUserIdentity, password: IPassword): Promise<ILoginReturn>;
    logout(accessToken: string): Promise<void>;
    refreshTokens(accessToken: string, refreshTokens: string): Promise<ILoginReturn>;
    verifyEmail(token: string): Promise<void>;
    resetPassword(token: string, newPassword: IPassword): Promise<void>;
    sendResetPasswordEmail(email: string): Promise<void>;
    sendVerificationEmail(email: string): Promise<void>;
    impersonate(token: string, username: string): Promise<IImpersonateReturn>;
}
